[![Build Status](https://travis-ci.org/datalad-handbook/book.svg?branch=master)](https://travis-ci.org/datalad-handbook/book) [![Documentation Status](https://readthedocs.org/projects/datalad-handbook/badge/?version=latest)](http://handbook.datalad.org/en/latest/?badge=latest)
[![All Contributors](https://img.shields.io/badge/all_contributors-19-orange.svg?style=flat-square)](#contributors)

# The Datalad handbook :orange_book:

This is a living resource on why and - more importantly - *how* to use [DataLad](http://www.datalad.org).
The rendered version is [here](http://handbook.datalad.org): http://handbook.datalad.org, and is currently
under initial development.

The handbook is a practical, hands-on crashcourse to learn and experience DataLad.
You do not need to be a programmer, computer scientist, or Linux-crank. If you have never touched your computer's shell before, you will be fine. Regardless of your background and personal use cases for DataLad, the handbook will show you the principles of DataLad, and from chapter 1 onwards you will be using them.

## Contributing

Contributions in any form - pull requests, issues, content requests/ideas, ... are always welcome.
If you are using the handbook and find that something does not work,
please [let us know](https://github.com/datalad-handbook/book/issues/new).
Likewise, if you are using DataLad for your individual project, consider contributing by telling us about your use-case.
You can find out more on how to contribute [here](http://handbook.datalad.org/en/latest/contributing.html),
and a list of all contributors so far below, in [CONTRIBUTORS.md](CONTRIBUTORS.md), and in [.zenodo.json](.zenodo.json).

## Notes for Instructors

The book is the basis for workshops and lectures on DataLad and data management.
The handbook's [``course repository``](https://github.com/datalad-handbook/course)
among other things contains live casts from the code examples in this book and
slides. It is constantly growing, and everyone is free to use the material under
the license terms below. Contributions and feedback are very welcome.

## License

CC-BY-SA: You are free to

- **share** - copy and redistribute the material in any medium or format
- **adapt** - remix, transform, and build upon the material for any purpose, even commercially

under the following terms:

1) **Attribution** — You must give appropriate credit, provide a link to the license, and indicate
 if changes were made. You may do so in any reasonable manner, but not in any way that suggests
 the licensor endorses you or your use.

2) **ShareAlike** — If you remix, transform, or build upon the material, you must distribute your
 contributions under the same license as the original.

<img src="https://raw.githubusercontent.com/datalad-handbook/book/master/artwork/logo.svg?sanitize=true" width="200" height="400">  

## Contributors ✨

Thanks goes to these wonderful people ([emoji key](https://allcontributors.org/docs/en/emoji-key)):

<!-- ALL-CONTRIBUTORS-LIST:START - Do not remove or modify this section -->
<!-- prettier-ignore-start -->
<!-- markdownlint-disable -->
<table>
  <tr>
    <td align="center"><a href="https://www.researchgate.net/profile/Adina_Wagner"><img src="https://avatars1.githubusercontent.com/u/29738718?v=4" width="100px;" alt=""/><br /><sub><b>Adina S. Wagner</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/commits?author=adswa" title="Code">💻</a> <a href="#content-adswa" title="Content">🖋</a> <a href="https://github.com/datalad-handbook/book/commits?author=adswa" title="Documentation">📖</a> <a href="#design-adswa" title="Design">🎨</a> <a href="#ideas-adswa" title="Ideas, Planning, & Feedback">🤔</a> <a href="#infra-adswa" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="#maintenance-adswa" title="Maintenance">🚧</a> <a href="#projectManagement-adswa" title="Project Management">📆</a> <a href="https://github.com/datalad-handbook/book/pulls?q=is%3Apr+reviewed-by%3Aadswa" title="Reviewed Pull Requests">👀</a> <a href="#userTesting-adswa" title="User Testing">📓</a> <a href="#talk-adswa" title="Talks">📢</a> <a href="https://github.com/datalad-handbook/book/commits?author=adswa" title="Tests">⚠️</a> <a href="https://github.com/datalad-handbook/book/issues?q=author%3Aadswa" title="Bug reports">🐛</a> <a href="#example-adswa" title="Examples">💡</a> <a href="#question-adswa" title="Answering Questions">💬</a> <a href="#a11y-adswa" title="Accessibility">️️️️♿️</a></td>
    <td align="center"><a href="https://github.com/loj"><img src="https://avatars2.githubusercontent.com/u/15157717?v=4" width="100px;" alt=""/><br /><sub><b>Laura Waite</b></sub></a><br /><a href="#ideas-loj" title="Ideas, Planning, & Feedback">🤔</a> <a href="#maintenance-loj" title="Maintenance">🚧</a> <a href="https://github.com/datalad-handbook/book/pulls?q=is%3Apr+reviewed-by%3Aloj" title="Reviewed Pull Requests">👀</a> <a href="#talk-loj" title="Talks">📢</a> <a href="#question-loj" title="Answering Questions">💬</a> <a href="#content-loj" title="Content">🖋</a></td>
    <td align="center"><a href="http://psychoinformatics.de"><img src="https://avatars1.githubusercontent.com/u/136479?v=4" width="100px;" alt=""/><br /><sub><b>Michael Hanke</b></sub></a><br /><a href="#question-mih" title="Answering Questions">💬</a> <a href="https://github.com/datalad-handbook/book/issues?q=author%3Amih" title="Bug reports">🐛</a> <a href="https://github.com/datalad-handbook/book/commits?author=mih" title="Code">💻</a> <a href="#content-mih" title="Content">🖋</a> <a href="https://github.com/datalad-handbook/book/commits?author=mih" title="Documentation">📖</a> <a href="#design-mih" title="Design">🎨</a> <a href="#example-mih" title="Examples">💡</a> <a href="#ideas-mih" title="Ideas, Planning, & Feedback">🤔</a> <a href="#infra-mih" title="Infrastructure (Hosting, Build-Tools, etc)">🚇</a> <a href="#maintenance-mih" title="Maintenance">🚧</a> <a href="#plugin-mih" title="Plugin/utility libraries">🔌</a> <a href="#projectManagement-mih" title="Project Management">📆</a> <a href="https://github.com/datalad-handbook/book/pulls?q=is%3Apr+reviewed-by%3Amih" title="Reviewed Pull Requests">👀</a> <a href="#tool-mih" title="Tools">🔧</a> <a href="https://github.com/datalad-handbook/book/commits?author=mih" title="Tests">⚠️</a> <a href="#talk-mih" title="Talks">📢</a> <a href="#userTesting-mih" title="User Testing">📓</a> <a href="#a11y-mih" title="Accessibility">️️️️♿️</a></td>
    <td align="center"><a href="https://github.com/kyleam"><img src="https://avatars2.githubusercontent.com/u/1297788?v=4" width="100px;" alt=""/><br /><sub><b>Kyle Meyer</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3Akyleam" title="Bug reports">🐛</a> <a href="https://github.com/datalad-handbook/book/pulls?q=is%3Apr+reviewed-by%3Akyleam" title="Reviewed Pull Requests">👀</a> <a href="#question-kyleam" title="Answering Questions">💬</a> <a href="#content-kyleam" title="Content">🖋</a> <a href="#ideas-kyleam" title="Ideas, Planning, & Feedback">🤔</a></td>
    <td align="center"><a href="https://github.com/marisaheckner"><img src="https://avatars2.githubusercontent.com/u/52243533?v=4" width="100px;" alt=""/><br /><sub><b>Marisa Heckner</b></sub></a><br /><a href="#ideas-marisaheckner" title="Ideas, Planning, & Feedback">🤔</a> <a href="#userTesting-marisaheckner" title="User Testing">📓</a> <a href="https://github.com/datalad-handbook/book/issues?q=author%3Amarisaheckner" title="Bug reports">🐛</a> <a href="#content-marisaheckner" title="Content">🖋</a></td>
    <td align="center"><a href="https://github.com/bpoldrack"><img src="https://avatars2.githubusercontent.com/u/10498301?v=4" width="100px;" alt=""/><br /><sub><b>Benjamin Poldrack</b></sub></a><br /><a href="#question-bpoldrack" title="Answering Questions">💬</a> <a href="#ideas-bpoldrack" title="Ideas, Planning, & Feedback">🤔</a> <a href="#example-bpoldrack" title="Examples">💡</a> <a href="#tutorial-bpoldrack" title="Tutorials">✅</a></td>
    <td align="center"><a href="http://www.onerussian.com"><img src="https://avatars3.githubusercontent.com/u/39889?v=4" width="100px;" alt=""/><br /><sub><b>Yaroslav Halchenko</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/pulls?q=is%3Apr+reviewed-by%3Ayarikoptic" title="Reviewed Pull Requests">👀</a> <a href="#content-yarikoptic" title="Content">🖋</a> <a href="#ideas-yarikoptic" title="Ideas, Planning, & Feedback">🤔</a> <a href="https://github.com/datalad-handbook/book/issues?q=author%3Ayarikoptic" title="Bug reports">🐛</a></td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/effigies"><img src="https://avatars0.githubusercontent.com/u/83442?v=4" width="100px;" alt=""/><br /><sub><b>Chris Markiewicz</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3Aeffigies" title="Bug reports">🐛</a></td>
    <td align="center"><a href="http://pat.chormai.org"><img src="https://avatars0.githubusercontent.com/u/1214890?v=4" width="100px;" alt=""/><br /><sub><b>Pattarawat Chormai</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3Aheytitle" title="Bug reports">🐛</a> <a href="https://github.com/datalad-handbook/book/commits?author=heytitle" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/lisanmo"><img src="https://avatars0.githubusercontent.com/u/52251433?v=4" width="100px;" alt=""/><br /><sub><b>Lisa N. Mochalski</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3Alisanmo" title="Bug reports">🐛</a> <a href="#content-lisanmo" title="Content">🖋</a> <a href="#example-lisanmo" title="Examples">💡</a> <a href="#ideas-lisanmo" title="Ideas, Planning, & Feedback">🤔</a></td>
    <td align="center"><a href="https://github.com/LisaWiersch96"><img src="https://avatars3.githubusercontent.com/u/57354773?v=4" width="100px;" alt=""/><br /><sub><b>Lisa Wiersch</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3ALisaWiersch96" title="Bug reports">🐛</a></td>
    <td align="center"><a href="https://github.com/jbpoline"><img src="https://avatars0.githubusercontent.com/u/275048?v=4" width="100px;" alt=""/><br /><sub><b>Jean-Baptiste Poline</b></sub></a><br /><a href="#content-jbpoline" title="Content">🖋</a></td>
    <td align="center"><a href="https://github.com/NevenaK"><img src="https://avatars2.githubusercontent.com/u/57677812?v=4" width="100px;" alt=""/><br /><sub><b>Nevena Kraljevic</b></sub></a><br /><a href="#userTesting-NevenaK" title="User Testing">📓</a></td>
    <td align="center"><a href="https://github.com/aqw"><img src="https://avatars0.githubusercontent.com/u/765557?v=4" width="100px;" alt=""/><br /><sub><b>Alex Waite</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/pulls?q=is%3Apr+reviewed-by%3Aaqw" title="Reviewed Pull Requests">👀</a></td>
  </tr>
  <tr>
    <td align="center"><a href="https://github.com/lilikapa"><img src="https://avatars3.githubusercontent.com/u/14184487?v=4" width="100px;" alt=""/><br /><sub><b>Lya K. Paas</b></sub></a><br /><a href="https://github.com/datalad-handbook/book/issues?q=author%3Alilikapa" title="Bug reports">🐛</a> <a href="https://github.com/datalad-handbook/book/commits?author=lilikapa" title="Code">💻</a></td>
    <td align="center"><a href="https://github.com/nhjjreuter"><img src="https://avatars1.githubusercontent.com/u/24777116?v=4" width="100px;" alt=""/><br /><sub><b>Niels Reuter</b></sub></a><br /><a href="#content-nhjjreuter" title="Content">🖋</a></td>
    <td align="center"><a href="https://github.com/pvavra"><img src="https://avatars3.githubusercontent.com/u/5610129?v=4" width="100px;" alt=""/><br /><sub><b>Peter Vavra</b></sub></a><br /><a href="#ideas-pvavra" title="Ideas, Planning, & Feedback">🤔</a> <a href="#userTesting-pvavra" title="User Testing">📓</a></td>
    <td align="center"><a href="https://github.com/TobiasKadelka"><img src="https://avatars1.githubusercontent.com/u/49553687?v=4" width="100px;" alt=""/><br /><sub><b>Tobias Kadelka</b></sub></a><br /><a href="#userTesting-TobiasKadelka" title="User Testing">📓</a></td>
    <td align="center"><a href="http://peerherholz.github.io"><img src="https://avatars0.githubusercontent.com/u/20129524?v=4" width="100px;" alt=""/><br /><sub><b>Peer Herholz</b></sub></a><br /><a href="#ideas-PeerHerholz" title="Ideas, Planning, & Feedback">🤔</a></td>
    <td align="center"><a href="https://github.com/AlexandreHutton"><img src="https://avatars3.githubusercontent.com/u/50920802?v=4" width="100px;" alt=""/><br /><sub><b>Alexandre Hutton</b></sub></a><br /><a href="#content-AlexandreHutton" title="Content">🖋</a></td>
  </tr>
</table>

<!-- markdownlint-enable -->
<!-- prettier-ignore-end -->
<!-- ALL-CONTRIBUTORS-LIST:END -->

This project follows the [all-contributors](https://github.com/all-contributors/all-contributors) specification. Contributions of any kind welcome!
